import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:ride/constant/colors.dart';
import 'package:ride/constant/style.dart';
import 'package:ride/views/lang/languages.dart';
import 'package:ride/views/widgets/my_scafold.dart';

class HomePage extends StatelessWidget {
  const HomePage({super.key});

  @override
  Widget build(BuildContext context) {
    return MyScafolld(
      isleading: true,
      title: 'Home Page'.tr,
      body: [
        Column(
          children: [
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 10),
              child: ListTile(
                title: Text(
                  'Settings'.tr,
                  style: AppStyle.title,
                ),
                subtitle: Text('To change some Settings'.tr),
                trailing: const Icon(
                  Icons.arrow_forward_ios,
                  size: 30,
                  color: AppColor.primaryColor,
                ),
                leading: const Icon(
                  Icons.settings,
                  color: AppColor.primaryColor,
                ),
              ),
            ),
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 10),
              child: ListTile(
                onTap: () {
                  Get.to(() => Language());
                },
                title: Text(
                  'Language'.tr,
                  style: AppStyle.title,
                ),
                subtitle: Text('To change Languge the App'.tr),
                trailing: const Icon(
                  Icons.arrow_forward_ios,
                  size: 30,
                  color: AppColor.primaryColor,
                ),
                leading: const Icon(
                  Icons.language_sharp,
                  color: AppColor.primaryColor,
                ),
              ),
            )
          ],
        ),
      ],
    );
  }
}
